Waiting for engine...
Skip to main content

Boomi API Control Plane REST API - Webhooks

Toggle Pane

Download OpenAPI Specification: Download

Run In Postman

For more information about Postman collections, forking, and making your first API call, refer to the Working with Boomi APIs on Postman page.

Webhooks

Webhook endpoints for event notifications.

Get webhook by ID

Get a webhooks by its id.

Authorizations:
bearerAuth
path Parameters
id
required
string <uuid>

This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id.

Responses

Response Schema: application/json
active
required
boolean

Whether this webhook is active and will receive event notifications.

displayName
required
string

Human-readable name for this webhook.

eventTypes
required
Array of strings unique

Subscribed event types.

url
required
string

Target URL for POST notifications.

id
string <uuid>

System-assigned ID (read-only).

Response samples

Content type
application/json
{
  • "displayName": "string",
  • "url": "string",
  • "active": true,
  • "eventTypes": [
    • "string"
    ],
  • "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
}

Update a webhook

Update an existing webhook.

Authorizations:
bearerAuth
path Parameters
id
required
string <uuid>

This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id.

Request Body schema: application/json
required
active
required
boolean

Whether this webhook is active and will receive event notifications.

displayName
required
string

Human-readable name for this webhook.

eventTypes
required
Array of strings unique

Subscribed event types.

url
required
string

Target URL for POST notifications.

id
string <uuid>

System-assigned ID (read-only).

Responses

Response Schema: application/json
active
required
boolean

Whether this webhook is active and will receive event notifications.

displayName
required
string

Human-readable name for this webhook.

eventTypes
required
Array of strings unique

Subscribed event types.

url
required
string

Target URL for POST notifications.

id
string <uuid>

System-assigned ID (read-only).

Request samples

Content type
application/json
{
  • "displayName": "string",
  • "url": "string",
  • "active": true,
  • "eventTypes": [
    • "string"
    ],
  • "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
}

Response samples

Content type
application/json
{
  • "displayName": "string",
  • "url": "string",
  • "active": true,
  • "eventTypes": [
    • "string"
    ],
  • "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
}

Delete a webhook

Delete a webhook.

Authorizations:
bearerAuth
path Parameters
id
required
string <uuid>

This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id.

Responses

Response samples

Content type
application/json
{
  • "timestamp": "string",
  • "status": 0,
  • "error": "string",
  • "message": "string",
  • "path": "string"
}

List all webhooks

Get a filtered and paged list of all webhooks.

Authorizations:
bearerAuth
query Parameters
text
string
eventType
string
active
boolean
page
integer
Default: 1

One-based page index (1..N)

size
integer
Default: 10

The size of the page to be returned

sort
Array of arrays

Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.

Responses

Response Schema: application/json
required
Array of objects (WebhookDTO)

List of WebhookDTO results for the current page.

last
required
boolean

Whether this is the last page.

number
required
integer <int32>

Current page number (1-based).

size
required
integer <int32>

Requested page size.

totalElements
required
integer <int64>

Total number of matching results across all pages.

totalPages
required
integer <int32>

Total number of pages.

Response samples

Content type
application/json
{
  • "content": [
    • {
      }
    ],
  • "size": 0,
  • "number": 0,
  • "last": true,
  • "totalPages": 0,
  • "totalElements": 0
}

Create a new webhook

Create a new webhook.

Authorizations:
bearerAuth
Request Body schema: application/json
required
active
required
boolean

Whether this webhook is active and will receive event notifications.

displayName
required
string

Human-readable name for this webhook.

eventTypes
required
Array of strings unique

Subscribed event types.

url
required
string

Target URL for POST notifications.

id
string <uuid>

System-assigned ID (read-only).

Responses

Response Schema: application/json
active
required
boolean

Whether this webhook is active and will receive event notifications.

displayName
required
string

Human-readable name for this webhook.

eventTypes
required
Array of strings unique

Subscribed event types.

url
required
string

Target URL for POST notifications.

id
string <uuid>

System-assigned ID (read-only).

Request samples

Content type
application/json
{
  • "displayName": "string",
  • "url": "string",
  • "active": true,
  • "eventTypes": [
    • "string"
    ],
  • "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
}

Response samples

Content type
application/json
{
  • "displayName": "string",
  • "url": "string",
  • "active": true,
  • "eventTypes": [
    • "string"
    ],
  • "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
}

Retry a failed webhook delivery

Retry a webhook request. Successful requests cannot be retried.

Authorizations:
bearerAuth
path Parameters
request
required
string <uuid>

This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id.

Responses

Response Schema: application/json
eventType
required
string

Type of event that triggered this delivery.

id
required
string <uuid>

System-assigned UUID of the delivery attempt.

numberOfAttempts
required
integer <int32>

Total attempts.

payload
required
string

JSON payload sent.

status
required
string
Enum: "CREATED" "SUCCESS" "RETRYING" "GIVE_UP" "CANCELLED"

SUCCESS, FAILED, or PENDING.

timestamp
required
string <date-time>

Timestamp when the event was generated.

required
object (WebhookDTO)

Webhook UUID.

lastAttempt
string <date-time>

Last delivery attempt.

nextAttempt
string <date-time>

Next retry (if failed).

failureMessage
string

Error from last failure.

Response samples

Content type
application/json
{
  • "webhook": {
    • "displayName": "string",
    • "url": "string",
    • "active": true,
    • "eventTypes": [
      ],
    • "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
    },
  • "eventType": "string",
  • "timestamp": "2019-08-24T14:15:22Z",
  • "payload": "string",
  • "status": "CREATED",
  • "lastAttempt": "2019-08-24T14:15:22Z",
  • "nextAttempt": "2019-08-24T14:15:22Z",
  • "numberOfAttempts": 0,
  • "failureMessage": "string",
  • "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
}

Cancel a pending webhook delivery

Cancel a webhook request, so that no more automatic retries will be made. Successful requests cannot be canceled.

Authorizations:
bearerAuth
path Parameters
request
required
string <uuid>

This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id.

Responses

Response Schema: application/json
eventType
required
string

Type of event that triggered this delivery.

id
required
string <uuid>

System-assigned UUID of the delivery attempt.

numberOfAttempts
required
integer <int32>

Total attempts.

payload
required
string

JSON payload sent.

status
required
string
Enum: "CREATED" "SUCCESS" "RETRYING" "GIVE_UP" "CANCELLED"

SUCCESS, FAILED, or PENDING.

timestamp
required
string <date-time>

Timestamp when the event was generated.

required
object (WebhookDTO)

Webhook UUID.

lastAttempt
string <date-time>

Last delivery attempt.

nextAttempt
string <date-time>

Next retry (if failed).

failureMessage
string

Error from last failure.

Response samples

Content type
application/json
{
  • "webhook": {
    • "displayName": "string",
    • "url": "string",
    • "active": true,
    • "eventTypes": [
      ],
    • "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
    },
  • "eventType": "string",
  • "timestamp": "2019-08-24T14:15:22Z",
  • "payload": "string",
  • "status": "CREATED",
  • "lastAttempt": "2019-08-24T14:15:22Z",
  • "nextAttempt": "2019-08-24T14:15:22Z",
  • "numberOfAttempts": 0,
  • "failureMessage": "string",
  • "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
}

List webhook delivery history

Get a filtered and paged list of all webhook requests. Can be used to get all requests for a specific webhook.

Authorizations:
bearerAuth
query Parameters
webhook
string <uuid>

This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id.

eventType
string
status
string
Enum: "CREATED" "SUCCESS" "RETRYING" "GIVE_UP" "CANCELLED"
page
integer
Default: 1

One-based page index (1..N)

size
integer
Default: 10

The size of the page to be returned

sort
Array of arrays

Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.

Responses

Response Schema: application/json
required
Array of objects (WebhookRequestDTO)

List of WebhookRequestDTO results for the current page.

last
required
boolean

Whether this is the last page.

number
required
integer <int32>

Current page number (1-based).

size
required
integer <int32>

Requested page size.

totalElements
required
integer <int64>

Total number of matching results across all pages.

totalPages
required
integer <int32>

Total number of pages.

Response samples

Content type
application/json
{
  • "content": [
    • {
      }
    ],
  • "size": 0,
  • "number": 0,
  • "last": true,
  • "totalPages": 0,
  • "totalElements": 0
}

List available webhook event types

Get all known webhook events with description and example.

Authorizations:
bearerAuth

Responses

Response Schema: application/json
Array
description
required
string

Human-readable description of when this event is fired.

eventType
required
string

Event type identifier (e.g. API_CREATED).

example
required
string

Example JSON payload for this event type.

Response samples

Content type
application/json
[
  • {
    • "eventType": "string",
    • "description": "string",
    • "example": "string"
    }
]